/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  Copyright (c) 2011                                                     **
**  University of Oregon, Eugene, USA                                      **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube.cubeparser;
import scalasca.cubex.cube.*;
import java.util.HashMap;
import java.util.Map;

public class LocationGroupContext
{
    public int                 id         = -1;
    public String              name       = "";
    public long                rank       = -1;
    public LocationGroupType   type       = LocationGroupType.PROCESS;
    public Map<String, String> attributes = new HashMap<String, String> ();

    LocationGroupContext()
    {
    };

    public String
    toString()
    {
        return
            "ID:" + id + "\t" +
            "Name :" + name  + "\t" +
            "Rank:" + rank + "\t" +
            "Type:" + type + "\t"
        ;
    }
}
